Bug 1077956 - Review Request: perl-Image-SubImageFind - Perl extension for locating a sub-image within an image
Summary: Review Request: perl-Image-SubImageFind - Perl extension for locating a sub-i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-19 00:09 UTC by David Dick
Modified: 2014-04-06 18:53 UTC (History)
2 users (show)

Fixed In Version: perl-Image-SubImageFind-0.03-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-31 02:10:05 UTC
Type: ---
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description David Dick 2014-03-19 00:09:24 UTC
Spec URL: http://ddick.fedorapeople.org/packages/perl-Image-SubImageFind.spec
SRPM URL: http://ddick.fedorapeople.org/packages/perl-Image-SubImageFind-0.03-1.fc20.src.rpm
Description: Perl extension for locating a sub-image within an image
Fedora Account System Username: ddick

Comment 1 David Dick 2014-03-19 00:18:37 UTC
koji build at http://koji.fedoraproject.org/koji/taskinfo?taskID=6648381

Comment 2 Petr Šabata 2014-03-19 13:16:25 UTC
FIX: BR perl(Exporter), lib/Image/SubImageFind.pm:24, loaded via use_ok()
TODO: I think line 45 is not needed, not even on EPEL.
FIX: This uses some code from http://werner.yellowcouch.org/Papers/subimg/ in DWVB.cpp.  This could probably be considered a derived work and should include the original license in the License tag ("GPLv2+ and Copyright only", I'd say).  What do you think?

Again, I haven't tried building without those but I don't see any ImageMagick-devel header files used anywhere.  Also, even those glibc-devel is not on the exceptions list, I think some C library, in whatever form, will always be available given that a compiler is.

Comment 3 David Dick 2014-03-20 07:16:32 UTC
(In reply to Petr Šabata from comment #2)
> FIX: BR perl(Exporter), lib/Image/SubImageFind.pm:24, loaded via use_ok()

Done.

> TODO: I think line 45 is not needed, not even on EPEL.

Done.

> FIX: This uses some code from http://werner.yellowcouch.org/Papers/subimg/
> in DWVB.cpp.  This could probably be considered a derived work and should
> include the original license in the License tag ("GPLv2+ and Copyright
> only", I'd say).  What do you think?

I can't find any reference to an actual license for this code at all.  I've sent an email to werner@yellowcouch.org asking for a clarification of the license terms.

> Again, I haven't tried building without those but I don't see any
> ImageMagick-devel header files used anywhere.  Also, even those glibc-devel
> is not on the exceptions list, I think some C library, in whatever form,
> will always be available given that a compiler is.

Agreed.

Spec and SRPMs have been updated, but are waiting for a license clarification from werner@yellowcouch.org

Comment 4 David Dick 2014-03-20 08:09:39 UTC
Werner (werner@yellowcouch.org) has updated the following url to be licensed as GPLv2

http://werner.yellowcouch.org/Papers/subimg/subimg.c++

Therefore the license terms for the spec are correct and are waiting for approval.

Comment 5 Petr Šabata 2014-03-20 15:43:45 UTC
That was fast :)

Yes, I believe this is correct but "GPLv2 and GPLv2+" would be even better (again, given the headers in the various source files in the package).

Approving.

Comment 6 David Dick 2014-03-21 09:25:47 UTC
New Package SCM Request
=======================
Package Name: perl-Image-SubImageFind
Short Description: Perl extension for locating a sub-image within an image
Owners: ddick
Branches: f20 el6 epel7
InitialCC: perl-sig

Comment 7 Gwyn Ciesla 2014-03-21 12:01:15 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-03-22 02:34:06 UTC
perl-Image-SubImageFind-0.03-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Image-SubImageFind-0.03-1.el6

Comment 9 Fedora Update System 2014-03-22 02:34:30 UTC
perl-Image-SubImageFind-0.03-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Image-SubImageFind-0.03-1.fc20

Comment 10 Fedora Update System 2014-03-22 22:33:31 UTC
perl-Image-SubImageFind-0.03-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 11 Fedora Update System 2014-03-31 02:10:05 UTC
perl-Image-SubImageFind-0.03-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 12 Fedora Update System 2014-04-06 18:53:54 UTC
perl-Image-SubImageFind-0.03-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.